Skip to main content

private/fiat/fiat-transaction-limit

POST 

/private/fiat/fiat-transaction-limit

Retrieves transaction limits for a specific payment network.

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/fiat/fiat-transaction-limit"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1771761038000".

    params objectrequired
    payment_network stringrequired

    Payment network identifier.

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. deposit and payment limits per docs.
    deposit objectrequired
    Deposit limits and information
    min_deposit_amount object
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    daily_max_deposit_amount object
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    monthly_max_deposit_amount object
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    currency_daily_max_deposit_amount object
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    currency_monthly_max_deposit_amount object
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    daily_quota int32

    Daily quota count (null/0 means no limit).

    monthly_quota int32

    Monthly quota count (null/0 means no limit).

    daily_transaction_count int32

    Current daily transaction count (null/0 means no limit).

    monthly_transaction_count int32

    Current monthly transaction count (null/0 means no limit).

    currency_daily_transaction_count int32

    Currency-level daily transaction count (null/0 means no limit).

    currency_monthly_transaction_count int32

    Currency-level monthly transaction count (null/0 means no limit).

    fee_amount object
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    daily_max_transaction_count int32

    Maximum daily transaction count (null/0 means no limit).

    monthly_max_transaction_count int32

    Maximum monthly transaction count (null/0 means no limit).

    currency_daily_max_transaction_count int32

    Currency-level max daily transaction count (null/0 means no limit).

    currency_monthly_max_transaction_count int32

    Currency-level max monthly transaction count (null/0 means no limit).

    payment objectrequired
    Payment limits and information
    name string

    Payment network name

    full_name string

    Payment network full name

    review_time_description string

    Human-readable review time description

    review_time object
    min decimal
    max decimal
    unit string
    bank_transfer_time_description string

    Human-readable bank transfer time description

    bank_transfer_time object
    min decimal
    max decimal
    unit string
    min_payment_amount object
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    daily_max_payment_amount object
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    monthly_max_payment_amount object
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    auto_approve_max_payment_amount object
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    currency_daily_max_payment_amount object
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    currency_monthly_max_payment_amount object
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    fee_amount object
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    refund_fee_amount object
    Currency and amount pair (amount may be null to indicate no limit).
    currency string

    Currency code (e.g., USD)

    amount decimalnullable

    Amount as string; null means no limit where applicable

    daily_transaction_count int32

    Current daily transaction count.

    monthly_transaction_count int32

    Current monthly transaction count.

    currency_daily_transaction_count int32

    Currency-level daily transaction count.

    currency_monthly_transaction_count int32

    Currency-level monthly transaction count.

    daily_max_transaction_count int32

    Maximum daily transaction count (null/0 means no limit).

    monthly_max_transaction_count int32

    Maximum monthly transaction count (null/0 means no limit).

    currency_daily_max_transaction_count int32

    Currency-level max daily transaction count (null/0 means no limit).

    currency_monthly_max_transaction_count int32

    Currency-level max monthly transaction count (null/0 means no limit).

    message string

    Present when code !== 0.

    original string

    Present when code !== 0.